PERTALIFE - Feature #2204

Form Asset ID tab Detail
06/05/2023 02:18 PM - haykal haykal

Status: QA Test Start date: 06/05/2023
Priority: Normal Due date: 06/06/2023
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Perbaikan tab Detail Asset ID pada saat meng-add Asset ID yang baru.
Perbaikan yang dilakukan adalah ketika user menselect Yes pada field Rent

Ketika user memilih Yes pada field Rent maka akan ada tambahan 2 field dan akan ada beberapa field yang hilang dari form tab
Detail.

2 field yang perlu ditambah:
-Rent Cost
-Rent Duration

Field-field yang akan hilang:
-Acquisition Value
-Acquisition Date
-Depreciation Date
-Depreciation Method
-Depreciation Period
-Depreciation Value
-Remaining Value

port: remote.minovais.com:61115/

History

#1 - 06/05/2023 02:50 PM - Kezia Pawitra Yulianti
- Due date set to 06/06/2023
- Status changed from New to Assigned

- Assignee changed from Tri Rizqiaty to haykal haykal

Haykal,
untuk 2 field tambahan tsb sudah di buatkan settingan nya belum ya?

sekalian jelaskan kondisinya jika field Rent terisi dgn 'No', maka kondisi field2 apa saja yg harus terisi dan field apa saja yg read only.
Tolong dijelaskan detail nya ya supaya tidak ada salah persepsi

Oh iya, sebutkan nama field nya di tabel tsb apa ya..jangan field txt nya, khawatir salah nama field.
Tks

#2 - 06/05/2023 04:02 PM - haykal haykal
- Assignee changed from haykal haykal to Tri Rizqiaty
Untuk yg 2 field baru sudah saya tambahkan...

Apabila user menselect 'No' pada field Rent, maka semua field-field yang ada dapat diisi oleh user kecuali field AssetID, RentCost dan RentDuration
(dibikin read-only).

Tambahan: Field Remaining Value dihilangkan saja dari tab Detail

#3 - 06/12/2023 11:18 AM - Tri Rizqiaty
- File Asset 20230612.xIsx added
- File PMDASTO0002 - Rent - ReadOnly.txt added

- Status changed from Assigned to Developing

Fixing :

Update SDATATABLEFIELD - TableName PMDASTO0002 - FieldName Rent, RentCost, RentDuration sesuai excel terlampir

Notes : untuk perubahan di table fisik maupun di sdatatablefield , tolong di lakukan juga di production Pertalife sana.

#4 - 06/12/2023 11:18 AM - Tri Rizqiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal

#5 - 06/13/2023 11:05 AM - Tri Rizgiaty

- File Asset 20230612.xlsx added

Fixing :

Update SDATATABLEFIELD - TableName PMDAST0002 - FieldName Rent sesuai excel terlampir

haykal haykal sudah bisa ditest Ig ya buat field2 yg hilang

Files

PMDASTO0002 - Rent - ReadOnly.ixt 568 Bytes 06/12/2023 Tri Rizqgiaty

Asset 20230612.xlIsx 11.5 KB 06/12/2023 Tri Rizqgiaty

Asset 20230612.xlsx 13.9 KB 06/13/2023 Tri Rizqiaty
